
<div class="action-bl">
  <button mat-mini-fab color="primary" aria-label="Add" (click)="load()">
    <mat-icon>autorenew</mat-icon>
  </button>
</div>
<div class="mat-elevation-z8">

  <mat-progress-bar mode="indeterminate" *ngIf="isLoading"></mat-progress-bar>
  <table mat-table [dataSource]="dataSource">

    <ng-container matColumnDef="idPermits">
      <th mat-header-cell *matHeaderCellDef >Id Permits</th>
      <td mat-cell *matCellDef="let row"> {{row.permit.permitCode}} </td>
    </ng-container>

    <ng-container matColumnDef="countryA">
      <th mat-header-cell *matHeaderCellDef >Country A</th>
      <td mat-cell *matCellDef="let row"> {{row.permit.countryCoupleYearPermitCount.firstCountry.name.en}} </td>
    </ng-container>

    <ng-container matColumnDef="countryB">
      <th mat-header-cell *matHeaderCellDef >Country B</th>
      <td mat-cell *matCellDef="let row"> {{row.permit.countryCoupleYearPermitCount.secondCountry.name.en}} </td>
    </ng-container>

    <ng-container matColumnDef="transitCountry">
      <th mat-header-cell *matHeaderCellDef >Transit Country</th>
      <td mat-cell *matCellDef="let row">  </td>
    </ng-container>

    <ng-container matColumnDef="status">
      <th mat-header-cell *matHeaderCellDef >Status</th>
      <td mat-cell *matCellDef="let row"> {{getStatusName(row.used) }} </td>
    </ng-container>

    <ng-container matColumnDef="createDate">
      <th mat-header-cell *matHeaderCellDef >Date</th>
      <td mat-cell *matCellDef="let row"> {{row.createdAt | date: 'dd-MM-yyyy HH:mm'}} </td>
    </ng-container>

    <ng-container matColumnDef="carrier">
      <th mat-header-cell *matHeaderCellDef >Carrier</th>
      <td mat-cell *matCellDef="let row"> {{row.transport.carrier.organization}} </td>
    </ng-container>


    <ng-container matColumnDef="actions">
      <th mat-header-cell *matHeaderCellDef > Actions </th>
      <td mat-cell *matCellDef="let row">
        <div class="action-bl">
          <a class="a-bl" href="javascript:void(0)" (click)="openDialogDetails(row.id)">
            <mat-icon aria-hidden="false" aria-label="Example home icon">visibility</mat-icon></a>
          <mat-divider vertical></mat-divider>

        </div>

      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

    <!-- Row shown when there is no matching data. -->
    <tr class="mat-row" *matNoDataRow>
      <td class="mat-cell" colspan="4">No data matching the filter</td>
    </tr>
  </table>

  <mat-paginator #paginator [pageSizeOptions]="[10, 25, 100]"
                 [pageIndex]="filter.pageNumber"
                 [pageSize]="filter.pageSize"
                 (page)="pageChanged($event)"
                 [length]="totalCount" aria-label="Select page"></mat-paginator>
</div>
